MKPASSWD(1)

NAME
mkpasswd - Overfeatured front end to crypt(3)

SYNOPSIS
mkpasswd PASSWORD SALT

DESCRIPTION
mkpasswd encrypts the given password with the crypt(3) libc function using the given salt.

OPTIONS

-S, --salt=STRING
    Use the STRING as salt.

-H, --hash=TYPE
    Compute the password using the TYPE algorithm. If TYPE is missing available algorithms are printed.

-P, --password-fd=NUM
    Read the password from file descriptor NUM instead of using getpass(3). If the file descriptor is not connected to a tty then no other message than the hashed password is printed on stdout.

-s, --stdin
    Like --password-fd=0.

BUGS
If the --stdin option is used, passwords containing some control characters may not be read correctly.

This programs suffers of a bad case of featuritis.

SEE ALSO
passwd(1), passwd(5), crypt(3), getpass(3)

AUTHOR
mkpasswd and this man page were written by Marco d'Itri <md@linux.it> and are licensed under the terms of the GNU GPL.